# Software Development Kit (SDK)

The SDK is used by the Tonomy ID wallets to manage the user account, keys and activities of the user.

* [User class reference](https://unpkg.com/@tonomy/tonomy-id-sdk/build/sdk/types/sdk/controllers/User.d.ts)
* [Apps class reference](https://unpkg.com/@tonomy/tonomy-id-sdk/build/sdk/types/sdk/controllers/App.d.ts)

Try import into [VS Code online Typescript editor](https://insiders.vscode.dev/tsplay) for best viewing.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tonomy.io/run-tonomy-gov-os/reference/sdk.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
